%define upstream_name    Test-Fixme
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check code for FIXMEs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
When coding it is common to come up against problems that need to be
addressed but that are not a big deal at the moment. What generally happens
is that the coder adds comments like:

 # FIXME - what about windows that are bigger than the screen?

 # FIXME - add checking of user priviledges here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 746221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 686443
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 658221
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 531939
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 465804
- update to 0.10

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 439946
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 373534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.70.0-1.mga3
+ Revision: 286535
- update to 0.07

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 34249
- mageia rebuild
- imported package perl-Test-Fixme

